Subject: Re: bug#56421: [PATCH] Make mouse-2 respect delete-selection mode

From: Visuwesh <[email-masked]>
Date: Wed, 06 Jul 2022 20:46:17 +0530

[புதன் ஜூலை 06, 2022] Stefan Kangas wrote:

> Visuwesh <[email-masked]> writes:
>
>> Yanking with the mouse (i.e., mouse-2) does not replace the selected
>> region if delete-selection-mode is turned on.  Attached patch makes the
>> mouse yank commands delete-selection-mode aware.
>
> What does other software in X do here?  From some light testing, it
> seems to me like it does not replace the selection?

Ah, I did not notice that it is done by Chrome either, and I don't have
any other X app handy to test.  I was surprised when mouse-2 did not
replace the region, and found it inconsistent.